---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    description: "Shows how to use Camel with Spring Boot in the Java Container"
    fabric8.springboot-camel/summary: "Shows how to use Camel with Spring Boot in\
      \ the Java Container"
    fabric8.springboot-camel/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "springboot-camel"
objects:
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/camel.svg"
      fabric8.io/git-branch: "release-v2.2.123"
      fabric8.io/git-commit: "dc1ba857b1971460ce5a7414ee7bac297a9bf827"
      fabric8.io/build-url: "http://null:80/job/oss-parent/3"
      fabric8.io/build-id: "3"
    labels:
      project: "springboot-camel"
      provider: "fabric8"
      version: "2.2.123"
      group: "quickstarts"
    name: "springboot-camel"
  spec:
    replicas: 1
    selector:
      project: "springboot-camel"
      provider: "fabric8"
      version: "2.2.123"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          project: "springboot-camel"
          provider: "fabric8"
          version: "2.2.123"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/springboot-camel:2.2.123"
          name: "springboot-camel"
          ports:
          - containerPort: 8778
            name: "jolokia"
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
